Options +FollowSymLinks -MultiViews
Options All -Indexes

DirectoryIndex index.php

RewriteEngine On

RewriteCond %{REQUEST_URI} !-f
RewriteCond %{REQUEST_URI} !-d
RewriteRule ^(.*)$ public/$1 [L]

RewriteCond %{REQUEST_URI} -f
RewriteCond %{REQUEST_URI} -d
RewriteRule ^(.*)$ public/$1 [L]

<Files .htaccess>
    deny from all
</Files>